# Uses of Class
org.eclipse.debug.ui.contexts.DebugContextEvent

Packages that use DebugContextEvent
Package
Description
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.contexts
Provides a set of interfaces and classes for debug context management.

## Uses of DebugContextEvent in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type DebugContextEvent
Modifier and Type
Method
Description
`void`
DebugCommandAction.`debugContextChanged(DebugContextEvent event)`

## Uses of DebugContextEvent in org.eclipse.debug.ui.contexts

Methods in org.eclipse.debug.ui.contexts with parameters of type DebugContextEvent
Modifier and Type
Method
Description
`void`
IDebugContextListener.`debugContextChanged(DebugContextEvent event)`
Notification the debug context has changed as specified by the given event.
`protected void`
AbstractDebugContextProvider.`fire(DebugContextEvent event)`
Fires the given context event to all registered listeners.